Subject: Re: [patch net/stable] ipv6/exthdrs: accept tlv which includes only padding

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Sun, 08 Sep 2013 13:20:34 +0900

Hi.

David Miller wrote:
> From: Eldad Zack <[email-masked]>
> Date: Sat, 7 Sep 2013 14:31:36 +0200 (CEST)
> 
>> On Fri, 6 Sep 2013, Jiri Pirko wrote:
>>
>>> Current behaviour breaks TAHI Test v6LC.1.2.6.
>>
>> I'm not familiar with this, but IMHO the test should be reversed :)
> 
> I think I agree with Eldad on this, and that TAHI should be adjusted
> to have more reasonable expectations of an implementation.
> 

The tests (including packet formats) are based on the test specification:
 https://www.ipv6ready.org/?page=documents&tag=ipv6-core-protocols

If we want to change the tests, I think we need to consult with IPv6
Forum.

Regards,

--yoshfuji